%define src_version 20070226
%define version     0.%{src_version}
%define release     %mkrel 1
%define src_name    umeplus-fonts

Summary:	Free Japanese TrueType fonts
Name:		fonts-ttf-japanese
Version:	%{version}
Release:	%{release}
License:	Distributable
URL:		http://www.geocities.jp/ep3797/modified_fonts_01.html
Group:		System/Fonts/True type

## Original fonts is here
Source0:	%{src_name}-%{src_version}.tar.bz2
Source1:	fonts-ttf-japanese_fonts.alias
Source2:	fonts-ttf-japanese_fonts.dir
Source3:	cidinst.japanese
Source4:	cidunin.japanese

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype-tools
Obsoletes:	xtt-fonts
Provides:	xtt-fonts
Requires(post): chkfontpath
Requires(postun): chkfontpath
Requires(post): fontconfig >= 2.4.1
Requires(postun): fontconfig >= 2.4.1

%description
This Package provides Free Japanese TrueType fonts (umeplus-gothic, 
umeplus-p-gothic)


%prep
%setup -q -n %{src_name}-%{src_version}

%build

%install
rm -fr %buildroot
mkdir -p %buildroot/%{_datadir}/fonts/TTF/japanese
install -m 644 *.ttf %buildroot/%{_datadir}/fonts/TTF/japanese
install -m 644 %{SOURCE1} %buildroot/%{_datadir}/fonts/TTF/japanese/fonts.alias
# Macromedia Flash looks in fonts.dir file for old Japanese fonts
# (= Kochi Gothic, Kochi Mincho), regardless of the encoding, in order
# to find the TTF file name. So we provide a special fonts.dir file,
# with two extra lines to make Macromedia Flash happy.
# maybe some day it will be fixed and this won't be needed anymore.
#
install -m 644 %{SOURCE2} %buildroot/%{_datadir}/fonts/TTF/japanese/fonts.dir
ln -sf %{_datadir}/fonts/TTF/japanese/fonts.alias %buildroot/%{_datadir}/fonts/TTF/japanese/fonts.scale

%post
[ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -a %_datadir/fonts/TTF/japanese
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 


%postun
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -r %_datadir/fonts/TTF/japanese
   [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,0755)
%doc ChangeLog README
%doc docs-*/ fontforge-scripts-*/

%dir %_datadir/fonts/TTF/
%dir %_datadir/fonts/TTF/japanese/
%_datadir/fonts/TTF/japanese/*.ttf
%config(noreplace) %_datadir/fonts/TTF/japanese/fonts.alias
%_datadir/fonts/TTF/japanese/fonts.dir
%_datadir/fonts/TTF/japanese/fonts.scale
%if %mdkversion < 20070
%ghost %_datadir/fonts/TTF/japanese/fonts.cache-1
%endif



%changelog
* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.20070226-1mdv2007.0
+ Revision: 125925
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Thu Nov 02 2006 Pablo Saratxaga <pablo@mandriva.com> 0.20061016-2mdv2007.1
+ Revision: 75914
- corrected requires on fontconfig

* Tue Oct 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.20061016-1mdv2007.1
+ Revision: 66016
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
- new release
- follow new Ume fonts
- use Ume fonts for wide alphabet
- change url
- change the fontnames of umeplus (the author of Ume fonts requested it):
  o (Ume Gothic => UmePlus Gothic)
  o (Ume P Gothic => UmePlus P Gothic)
- use new M+ fonts for alphabet
- change the default Japanese font (sazanami => umeplus)

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com> 0.20040629-8mdv2007.0
+ Revision: 52890
- Normalize fonts with new paths
- import fonts-ttf-japanese-0.20040629-7mdk


* Thu Feb 23 2006 Pablo Saratxaga <pablo@mandriva.com> 0.20040629-7mdk
- fix for Macromedia Flash without need to export X11 font name as
  "Kochi" fonts.

* Mon Feb 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040629-6mdk
- add symlinks to old Japanese fonts (Kochi fonts).
  Macromedia Flash loads them.
- add modified fonts.dir for Kochi fonts (source1)

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20040629-5mdk
- Fix fc-cache call

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20040629-4mdk
- never ship fonts.cache-2

* Sun Nov 13 2005 Abel Cheung <deaddog@mandriva.org> 0.20040629-3mdk
- new fontconfig cache file name
- fix dependencies
- don't install ghostscript related file, gs-cjk is no more

* Sat Oct 02 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.20040629-2mdk
- added CID install/uninstall scripts (so that ghostscript sees the fonts)

* Wed Jun 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040629-1mdk
- new release

* Sun Jun 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20040621-4mdk
- fix release number

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040621-3mdk
- replace Kochi with Sazanami
- Sazanami is a successor to Kochi

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.20040217-2mdk
- fix buildrequires
- don't use () around commands, it will make rpm-build not exit on errors within the braces
- don't list files twice

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20020727-4mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial build
  (old Kochis have license problems. This is a package of "alternative" Kochis)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.20020727-4mdk
- rebuild
- fix obsolete-not-provided (rpmlint)

